### Function

# Fwupd JsonNode new_string

since: 2.1.1

#### Declaration [src]

    FwupdJsonNode*
    fwupd_json_node_new_string (
      const gchar* value
    )

#### Description [src]

Creates a new JSON string json_node.

Available since: 2.1.1

This function is not directly available to language bindings.

#### Parameters

`value`

  Type: `const gchar*`

  String value.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FwupdJsonNode`

A `FwupdJsonNode`.

The caller of the function takes ownership of the data, and is responsible for freeing it.